complexType "Person"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 10 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (honorific?, firstName?, (middleName* | initial*)?, surname?, suffix?)?, personId*, businessUnitReference?, contactInfo?, country?
</...>

Content Model Elements (10):

  businessUnitReference (in person), contactInfo (in person), country (in person), firstName, honorific, | initial, middleName, personId, suffix, surname

All Direct / Indirect Based Elements (1):

  person

Known Usage Locations

- As direct type of elements (1):
  person

Annotation
A type that represents information about a person connected with a trade or business process.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="Person"> <xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="honorific" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="firstName" type="xsd:normalizedString"/> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="middleName" type="xsd:normalizedString"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="initial" type="Initial"/> </xsd:choice> <xsd:element minOccurs="0" name="surname" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="suffix" type="xsd:normalizedString"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="personId" type="PersonId"/> <xsd:element minOccurs="0" name="businessUnitReference" type="BusinessUnitReference"/> <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"/> <xsd:element minOccurs="0" name="country" type="CountryCode"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 10/10)
businessUnitReference

  Type: | BusinessUnitReference, empty content

  The unit for which the indvidual works.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessUnitReference" type="BusinessUnitReference"/>

contactInfo

  Type: | ContactInformation, complex content

  Information on how to contact the individual using various means.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"/>

country

  Type: | CountryCode, simple content

  The ISO 3166 standard code for the country where the individual works.
  Simple Content

  xsd:token

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="country" type="CountryCode"/>

firstName

  Type: | xsd:normalizedString, predefined, simple content

  Given name, such as John or Mary.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstName" type="xsd:normalizedString"/>

honorific

  Type: | xsd:normalizedString, predefined, simple content

  An honorific title, such as Mr., Ms., Dr. etc.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="honorific" type="xsd:normalizedString"/>

initial

  Type: | Initial, simple content

  Simple Content

  xsd:normalizedString

  Length: | 1

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="initial" type="Initial"/>

middleName

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="middleName" type="xsd:normalizedString"/>

personId

  Type: | PersonId, simple content

  An identifier assigned by a system for uniquely identifying the individual
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="personId" type="PersonId"/>

suffix

  Type: | xsd:normalizedString, predefined, simple content

  Name suffix, such as Jr., III, etc.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="suffix" type="xsd:normalizedString"/>

surname

  Type: | xsd:normalizedString, predefined, simple content

  Family name, such as Smith or Jones.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="surname" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.